[suggest] Update subversion-1.6.3, please?

Dag Wieers dag at wieers.com
Thu Jun 25 12:43:30 CEST 2009


On Thu, 25 Jun 2009, Nico Kadel-Garcia wrote:

> The published patches and .spec file for Subversion 1.6.2 work fine
> for the new Subversion 1.6.3 release, with the release number updated.
> May I ask politely for an update of that package?

Hey Nico,

Incidently I build the packages yesterday, but my CentOS friends pulled me 
away from my laptop so I couldn't push them :-/


> Getting it working for RHEL 4 or older is work I've had trouble with:
> It requires a local compilation of a more recent version of Python
> than RHEL or older Fedora's provide for the autogen.sh step, which is
> amazingly frustrating, and I don't have enough local server space and
> time to set up local Fedora Core repositories and "mock" environments
> to test with. Is there anyone who does? I can hand off a working .spec
> file I got from David Summers, so it can be resolved with the existing
> RPMforge .spec file.

It is completely fine to simply give up when it is too hard to backport to 
RHEL4. The older RHEL4 (and RHEL5) becomes the harder popular stuff can be 
backported and the less time we have to spend trying it.

But it doesn't mean we stop trying to build the easy stuff for older RHEL 
releases either. So there's some middleground where we have a balance 
between the effort to do it and the importance of having it.

subversion is really important, and in this case it might be worthwhile to 
see with the subversion people whether there is an interest to make it 
work with somewhat older distributions.

In fact there need to be more awareness to supporting enterprise 
distributions. Often it boils down to using a slightly older python and 
not relying on the latest always.

-- 
--   dag wieers,  dag at wieers.com,  http://dag.wieers.com/   --
[Any errors in spelling, tact or fact are transmission errors]



More information about the users mailing list